<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <title>Document</title>
   <style>

      svg>symbol * {
         fill: none;
         stroke: inherit;
         stroke-width: 10;
         stroke-miterlimit: 10;
      }

      body {
         display: flex;
         justify-content: center;
         align-items: center;
         height: 100vh;
         background: rgb(7, 7, 14);
      }

      body #tab-bar {
         display: flex;
         transform: scale(1);
         width: 400px;
         height: 120px;
         transition: transform 0.25s cubic-bezier(0.05, 0.61, 0.41, 0.95);
      }

      body #tab-bar .tab {
         flex-grow: 1;
         position: relative;
         overflow: hidden;
         cursor: pointer;
      }


      body #tab-bar .tab.active div:first-child {
         background-color: #FFFFFF;
         stroke: #331c02;
      }

      body #tab-bar .tab.active div:last-child {
         background-color: #532e04;
         stroke: #FFFFFF;
      }

      body #tab-bar .tab:not(.active) div:first-child {
         background-color: #532e04;
         stroke: #FFFFFF;
      }

      body #tab-bar .tab:not(.active) div:last-child {
         background-color: #FFFFFF;
         stroke: #532e04;
      }

      body #tab-bar .tab>div {
         display: flex;
         justify-content: center;
         align-items: center;
         position: relative;
         top: -120px;
         height: 100%;
      }

      .main {
         bottom: 0%;
         position: fixed;
         background-color: white;
      }

      body #tab-bar .tab>div svg {
         width: 32px;
         height: 32px;
      }

      body #tab-bar:active {
         transform: scale(0.95);
      }
   </style>
</head>

<body>



   <div class="main">
      <svg display="none">
         <symbol id="icon-home" viewBox="0 0 64 64">
            <polygon points="6.1,58 6,18 32,6 58,18 58,58 " />
         </symbol>
         <symbol id="icon-favourites" viewBox="0 0 64 64">
            <path
               d="M32 12.5c-6-6-15.7-6-21.7 0s-6 15.7 0 21.7L32 56
               l21.7-21.7c6-6 6-15.7 0-21.7C47.7 6.5 38 6.5 32 12.5z" />
         </symbol>
         <symbol id="icon-settings" viewBox="0 0 64 64">
            <circle class="st0" cx="17" cy="20" r="9" />
            <line class="st0" x1="26" y1="20" x2="56" y2="20" />
            <circle class="st0" cx="47" cy="44" r="9" />
            <line class="st0" x1="38" y1="44" x2="8" y2="44" />
         </symbol>
      </svg>

      <div id="tab-bar">
         <div class="tab active">
            <div>
               <svg viewBox="0 0 64 64">
                  <use xlink:href="#icon-home"></use>
               </svg>
            </div>
            <div>
               <svg viewBox="0 0 64 64">
                  <use xlink:href="#icon-home"></use>
               </svg>
            </div>
         </div>

         <div class="tab">
            <div>
               <svg viewBox="0 0 64 64">
                  <use xlink:href="#icon-favourites"></use>
               </svg>
            </div>
            <div>
               <svg viewBox="0 0 64 64">
                  <use xlink:href="#icon-favourites"></use>
               </svg>
            </div>
         </div>
         <div class="tab">
            <div>
               <svg viewBox="0 0 64 64">
                  <use xlink:href="#icon-settings"></use>
               </svg>
            </div>
            <div>
               <svg viewBox="0 0 64 64">
                  <use xlink:href="#icon-settings"></use>
               </svg>
            </div>
         </div>
      </div>
   </div>

   <script src="https://code.jquery.com/jquery-3.6.0.min.js"
      integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
      crossorigin="anonymous">
   </script>
   <script>
      var phase = 0;
      $("#tab-bar .tab")
         .mousedown(function () {
            if (!$(this).is(".active") && phase == 0) {
               phase = 1;
               $(".tab.active div").animate({ top: 0 }, 250, function () {
                  $(".tab div").removeAttr("style");
                  $(".tab.active").removeClass("active");
               });
            }
         })
         .mouseup(function () {
            $this = $(this);
            if (!$(this).is(".active") && phase == 1) {
               phase = 2;
               $(this)
                  .find("div")
                  .animate({ top: 0 }, 250, function () {
                     $this.find("div").removeAttr("style");
                     $this.addClass("active");
                     phase = 0;
                  });
            }
         });

   </script>

</body>

</html>
